#!/system/bin/sh

############################
# Custom Kernel Settings for aCC Kernel!
#
echo "[aCC-Kernel] Boot Script Started" | tee /dev/kmsg
stop mpdecision
echo 1 > /sys/kernel/alucard_hotplug/hotplug_enable

#stop thermal-engine
#echo Y > /sys/module/msm_thermal/parameters/enabled

############################
# Scheduler and Read Ahead
#
echo zen > /sys/block/mmcblk0/queue/scheduler
echo zen > /sys/block/mmcblk1/queue/scheduler
echo 512 > /sys/block/mmcblk0/bdi/read_ahead_kb
echo 512 > /sys/block/mmcblk1/bdi/read_ahead_kb

############################
# Governor Tunings
#
echo 0 > /sys/kernel/msm_limiter/limiter_enabled
echo 268800 > /sys/devices/system/cpu/cpu0/cpufreq/scaling_min_freq
echo 268800 > /sys/devices/system/cpu/cpu1/cpufreq/scaling_min_freq
echo 268800 > /sys/devices/system/cpu/cpu2/cpufreq/scaling_min_freq
echo 268800 > /sys/devices/system/cpu/cpu3/cpufreq/scaling_min_freq
echo 2457600 > /sys/devices/system/cpu/cpu0/cpufreq/scaling_max_freq
echo 2457600 > /sys/devices/system/cpu/cpu1/cpufreq/scaling_max_freq
echo 2457600 > /sys/devices/system/cpu/cpu2/cpufreq/scaling_max_freq
echo 2457600 > /sys/devices/system/cpu/cpu3/cpufreq/scaling_max_freq
echo alucard > /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor
echo alucard > /sys/devices/system/cpu/cpu1/cpufreq/scaling_governor
echo alucard > /sys/devices/system/cpu/cpu2/cpufreq/scaling_governor
echo alucard > /sys/devices/system/cpu/cpu3/cpufreq/scaling_governor

echo Y > /sys/module/workqueue/parameters/power_efficient

# cpu-boost
echo 1267200 > /sys/module/cpu_boost/parameters/input_boost_freq
echo 50 > /sys/module/cpu_boost/parameters/input_boost_ms
echo 40 > /sys/module/cpu_boost/parameters/boost_ms
echo 1728000 > /sys/module/cpu_boost/parameters/sync_threshold

############################
# GPU Tunings
#
echo 27000000 > /sys/class/kgsl/kgsl-3d0/devfreq/min_freq
echo 657500032 > /sys/devices/fdb00000.qcom,kgsl-3d0/kgsl/kgsl-3d0/max_gpuclk
############################
# Sound Control
#
echo "5 5" > /sys/kernel/sound_control_3/gpl_headphone_gain
echo "5 5 245" > /sys/kernel/sound_control_3/gpl_headphone_gain

echo "[aCC-Kernel] Boot Script Completed!" | tee /dev/kmsg
